/*
Template Name: Proffer
Author: themexshaper
Version: 1.0
*/

(function($){
'use strict';

/*----- ELEMENTOR LOAD FUNTION CALL ---*/

$( window ).on( 'elementor/frontend/init', function() {

    var swiper_slide = function(){
     
    // HERO SLIDER
    var menu = [];
    $('.swiper-slide').each( function(index){
        menu.push( $(this).find('.slide-inner').attr("data-text") );
    });
    var interleaveOffset = 0.5;
    var swiperOptions = {
        loop: true,
        speed: 1000,
        parallax: true,
        autoplay: {
            delay: 6500,
            disableOnInteraction: false,
        },

        pagination: {
            el: '.swiper-cust-pagination',
                clickable: true,
                renderBullet: function (index, className) {
                    if($(".header-style-1").length) {
                        return '<div class="' + className + '">' + (menu[index]) + '</div>';
                    } else {
                        return '<div class="' + className + '">' + "" + '</div>';
                    }
            },
        },

        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        },

        on: {
            progress: function() {
                var swiper = this;
                for (var i = 0; i < swiper.slides.length; i++) {
                    var slideProgress = swiper.slides[i].progress;
                    var innerOffset = swiper.width * interleaveOffset;
                    var innerTranslate = slideProgress * innerOffset;
                    swiper.slides[i].querySelector(".slide-inner").style.transform =
                    "translate3d(" + innerTranslate + "px, 0, 0)";
                }      
            },

            touchStart: function() {
              var swiper = this;
              for (var i = 0; i < swiper.slides.length; i++) {
                swiper.slides[i].style.transition = "";
              }
            },

            setTransition: function(speed) {
                var swiper = this;
                for (var i = 0; i < swiper.slides.length; i++) {
                    swiper.slides[i].style.transition = speed + "ms";
                    swiper.slides[i].querySelector(".slide-inner").style.transition =
                    speed + "ms";
                }
            }
        }
    };

    var swiper = new Swiper(".swiper-container", swiperOptions);

    }; // end

    

    var parallax = function(){
     
        if($("#scene").length) {
            var scene = document.getElementById('scene');
            var parallax = new Parallax(scene);
        }

    }; // end


    var case_study_slider = function(){
      /*------------------------------------------
        = causes-slider
    -------------------------------------------*/
    if($(".causes-slider").length) {
        $('.causes-slider').owlCarousel({
            center: true,
            loop:true,
            dots: false,
            responsive:{
                1300:{
                    items:4,
                    margin: 20,
                },

                992:{
                    margin: 0,
                    items:3
                },

                500:{
                    items:2
                },

                300:{
                    items:1,
                    dots: true,
                }
            }
        })
    }


    }; // end


    var campain_slider = function(){
     
        /*------------------------------------------
        = CAMPAIN SLIDER
        -------------------------------------------*/
        $('.campain-slider').slick({
            vertical: true,
            slidesToShow: 2,
            slidesToScroll: 1,
            verticalSwiping: true,
            loop: true,
            nextArrow: '<button><i class="fi flaticon-down-arrow-1"></i></button>',
            prevArrow: '<button><i class="fi flaticon-down-arrow-1"></i></button>',
        }); 


    }; // end

    var data_bg_image = function(){
     
         var dataBgImage = $(".data-bg-image");

        // Data Background image setting
        dataBgImage.each(function() {

            if ($(this).attr("data-background")){
                $(this).css("background-image", "url(" + $(this).data("background") + ")");
                $(this).css("background-size", "cover");
                $(this).css("background-position", "center center");
            }
        })

    }; // end
        

    var events_slider = function(){
     
         /*------------------------------------------
        = EVENTS SLIDER S2
        -------------------------------------------*/
        if ($(".events-slider").length) {

            var i = (".events-slider-nav .slider-prev"),
                s = (".events-slider-nav .slider-next");

            $(".events-slider").not('.slick-initialized').slick({
                prevArrow: i,
                nextArrow: s,
                adaptiveHeight: !0,
                slidesToShow: 3,
                responsive: [{
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 1
                    }
                }]
            });
        }

    }; // end
        

    var partners_slider = function(){
     
         /*------------------------------------------
        = PARTNERS SLIDER
        -------------------------------------------*/
        if ($(".partners-slider").length) {
            $(".partners-slider").owlCarousel({
                autoplay:true,
                smartSpeed: 300,
                margin: 30,
                loop:true,
                autoplayHoverPause:true,
                dots: false,
                responsive: {
                    0 : {
                        items: 2
                    },

                    550 : {
                        items: 3
                    },

                    992 : {
                        items: 4
                    },

                    1200 : {
                        items: 5
                    }
                }
            });
        }


    }; // end
        


    var testimonials_slider = function(){
     
       /*------------------------------------------
        = TESTIMONIALS SLIDER
        -------------------------------------------*/
        if ($(".testimonials-slider").length) {
            $(".testimonials-slider").owlCarousel({
                items: 1,
                autoplay: false,
                smartSpeed: 300,
                loop:true,
                autoplayHoverPause:true,
                dots: false,
                nav: true,
                navText: ['<i class="fi flaticon-back"></i>','<i class="fi flaticon-next"></i>'],
            });
        }


    }; // end


    var testimonials_slider_2 = function(){
     
        /*------------------------------------------
            = TESTIMONIALS SLIDER
        -------------------------------------------*/
        if ($(".testimonials-slider-s2").length) {
            $(".testimonials-slider-s2").owlCarousel({
                autoplay: false,
                smartSpeed: 300,
                loop:true,
                autoplayHoverPause:true,
                margin: 30,
                dots: false,
                nav: true,
                navText: ['<i class="fi flaticon-back"></i>','<i class="fi flaticon-next"></i>'],
                responsive: {
                    0 : {
                        items: 1
                    },

                    768 : {
                        items: 2
                    }
                }
            });
        }



    }; // end
        
    
     var instagram_feed = function(){
     
         // instagram feed
           if ($(".instagram-feed").length) {
               var instaUserId = $(".instagram-feed").data('id'),
               instaToken = $(".instagram-feed").data('token');
               var instaLimit = $(".instagram-feed").data('limit');
               var instaFeed = new Instafeed({
               get: 'user',
               userId: instaUserId,
               accessToken: instaToken,
               resolution: 'standard_resolution',
                   limit: instaLimit,
                   template: '<div class="grid fff"><a href="{{link}}"><img src="{{image}}"/></a></div>',
               });
               instaFeed.run();
           }


    }; // end
    
     var odometer = function(){
     
         /*------------------------------------------
        = FUNFACT
        -------------------------------------------*/
        if ($(".odometer").length) {
            $('.odometer').appear();
            $(document.body).on('appear', '.odometer', function(e) {
                var odo = $(".odometer");
                odo.each(function() {
                    var countNumber = $(this).attr("data-count");
                    $(this).html(countNumber);
                });
            });
        }

    }; // end

    
     var progress = function(){
     
        /*------------------------------------------
        = PROGRESS BAR
        -------------------------------------------*/
        function progressBar() {
            if ($(".progress-bar").length) {
                var $progress_bar = $('.progress-bar');
                $progress_bar.appear();
                $(document.body).on('appear', '.progress-bar', function() {
                    var current_item = $(this);
                    if (!current_item.hasClass('appeared')) {
                        var percent = current_item.data('percent');
                        current_item.css('width', percent + '%').addClass('appeared').append('<span>' + percent + '%' + '</span>');
                    }
                    
                });
            };
        }
        progressBar();


    }; // end

    
    

    //Slider
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_slider.default', function($scope, $){
        swiper_slide();
    } );


    //Hero
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_banner.default', function($scope, $){
        parallax();
    } );


    //case_study_slider
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_causes.default', function($scope, $){
        case_study_slider();
    } );


    //campain_slider
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_causes.default', function($scope, $){
        campain_slider();
    } );


    //testimonial
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_testimonial.default', function($scope, $){
        testimonials_slider();
    } );

    //data_bg_image
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_featureabout.default', function($scope, $){
        data_bg_image();
    } );

    //events_slider
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_event.default', function($scope, $){
        events_slider();
    } );

    
    //partners_slider
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_client.default', function($scope, $){
        partners_slider();
    } );
    
    //testimonials_slider
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_testimonial.default', function($scope, $){
        testimonials_slider();
    } );

    
    //testimonials_slider_2
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_testimonial.default', function($scope, $){
        testimonials_slider_2();
    } );
    
    
    //instagram_feed
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_instagram.default', function($scope, $){
        instagram_feed();
    } );
    
    //odometer
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_funfact.default', function($scope, $){
        odometer();
    } );

    //progress
    elementorFrontend.hooks.addAction( 'frontend/element_ready/tmx-proffer_skill.default', function($scope, $){
        progress();
    } );

    
    
    
} );


})(jQuery);  