<?php
namespace Elementor;

defined( 'ABSPATH' ) || die();

class Proffer_Icons_Manager {

    public static function init() {
        add_filter( 'elementor/icons_manager/additional_tabs', [ __CLASS__, 'add_proffer_icons_tab' ] );
    }

    public static function add_proffer_icons_tab( $tabs ) {
        $tabs['proffer-icons'] = [
            'name' => 'proffer-icons',
            'label' => __( 'Proffer Icons', 'proffer-elementor-addons' ),
            'url' => PROFFER_PLUGIN_URL . 'elementor/assets/css/flaticon.css',
            'enqueue' => [ PROFFER_PLUGIN_URL . 'elementor/assets/css/flaticon.css' ],
            'prefix' => 'flaticon-',
            'displayPrefix' => 'fi',
            'labelIcon' => 'flaticon-donation',
            'ver' => '1.0.0',
            'fetchJson' => PROFFER_PLUGIN_URL . 'elementor/assets/js/proffer-icons.js?v=1.0.0',
            'native' => false,
        ];
        return $tabs;
    }

    /**
     * Get a list of proffer icons
     *
     * @return array
     */
    public static function get_proffer_icons() {
        return [
            'flaticon-play-button' => 'play-button',
            'flaticon-back'  => 'back',
            'flaticon-next' => 'next',
            'flaticon-right-quote' => 'right-quote',
            'flaticon-left-quote' => 'left-quote',
            'flaticon-quote' => 'quote',
            'flaticon-paper-plane' => 'paper-plane',
            'flaticon-envelope' => 'envelope',
            'flaticon-placeholder' => 'placeholder',
            'flaticon-diamond' => 'diamond',
            'flaticon-diamond-1' => 'diamond-1',
            'flaticon-message' => 'message',
            'flaticon-mail' => 'mail',
            'flaticon-guarantee' => 'guarantee',
            'flaticon-coffee-cup' => 'coffee-cup',
            'flaticon-search' => 'search',
            'flaticon-replay-arrow' => 'replay-arrow',
            'flaticon-house' => 'house',
            'flaticon-call' => 'call',
            'flaticon-email' => 'email',
            'flaticon-alarm' => 'alarm',
            'flaticon-view' => 'view',
            'flaticon-speech-bubble' => 'speech-bubble',
            'flaticon-feedback' => 'feedback',
            'flaticon-agent' => 'agent',
            'flaticon-coin' => 'coin',
            'flaticon-cost' => 'cost',
            'flaticon-money-bag' => 'money-bag',
            'flaticon-umbrella' => 'umbrella',
            'flaticon-smile' => 'smile',
            'flaticon-play' => 'play',
            'flaticon-left-arrow-angle-big-gross-symbol' => 'left-arrow-angle-big-gross-symbol',
            'flaticon-arrow-angle-pointing-to-right' => 'arrow-angle-pointing-to-right',
            'flaticon-tag' => 'tag',
            'flaticon-quote-1' => 'quote-1',
            'flaticon-supermarket' => 'supermarket',
            'flaticon-tag-1' => 'tag-1',
            'flaticon-pdf' => 'pdf',
            'flaticon-user' => 'user',
            'flaticon-calendar' => 'calendar',
            'flaticon-like' => 'like',
            'flaticon-heart' => 'heart',
            'flaticon-heart-1' => 'heart-1',
            'flaticon-shopping-basket' => 'shopping-basket',
            'flaticon-triangular-ruler' => 'triangular-ruler',
            'flaticon-pencil-case' => 'pencil-case',
            'flaticon-fruits' => 'fruits',
            'flaticon-donation' => 'donation',
            'flaticon-charity' => 'charity',
            'flaticon-play-1' => 'play-1',
            'flaticon-down-arrow' => 'down-arrow',
            'flaticon-down-arrow-1' => 'down-arrow-1',
            'flaticon-down-arrow-2' => 'down-arrow-2',
            'flaticon-down-arrow-3' => 'down-arrow-3',
            'flaticon-down' => 'down',
        ];
    }
}

Proffer_Icons_Manager::init();