<?php
/*
 * All Custom Shortcode for [theme_name] theme.
 * Author & Copyright: themexshaper
 * URL: http://themeforest.net/user/themexshaper
 */

if( ! function_exists( 'proffer_shortcodes' ) ) {
  function proffer_shortcodes( $options ) {

    $options       = array();

    /* Topbar Shortcodes */
    $options[]     = array(
      'title'      => esc_html__('Topbar Shortcodes', 'proffer'),
      'shortcodes' => array(

        // Topbar item
        array(
          'name'          => 'proffer_widget_topbars',
          'title'         => esc_html__('Topbar info', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'proffer_widget_topbar',
          'clone_title'   => esc_html__('Add New', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),
            array(
              'id'        => 'donate_text',
              'type'      => 'text',
              'title'     => esc_html__('Donate Text', 'proffer'),
            ),
            array(
              'id'        => 'donate_link',
              'type'      => 'text',
              'title'     => esc_html__('Donate Link', 'proffer'),
            ),
            
          ),
          'clone_fields'  => array(
           
            array(
              'id'        => 'title',
              'type'      => 'text',
              'title'     => esc_html__('Title', 'proffer'),
            ),
            array(
              'id'        => 'link',
              'type'      => 'text',
              'title'     => esc_html__('Link', 'proffer'),
            ),
            array(
              'id'        => 'open_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'proffer'),
              'yes'     => esc_html__('Yes', 'proffer'),
              'no'     => esc_html__('No', 'proffer'),
            ),

          ),

        ),
       

      ),
    );

    /* Header Shortcodes */
    $options[]     = array(
      'title'      => esc_html__('Header Shortcodes', 'proffer'),
      'shortcodes' => array(

        // header Social
        array(
          'name'          => 'proffer_header_socials',
          'title'         => esc_html__('Header Social', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'proffer_header_social',
          'clone_title'   => esc_html__('Add New Social', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),
            array(
              'id'        => 'social_title',
              'type'      => 'text',
              'title'     => esc_html__('Social Title', 'proffer'),
            ),

          ),
          'clone_fields'  => array(
            array(
              'id'        => 'social_icon',
              'type'      => 'icon',
              'title'     => esc_html__('Social Icon', 'proffer')
            ),
            array(
              'id'        => 'social_icon_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Icon Color', 'proffer'),
            ),
            array(
              'id'        => 'social_link',
              'type'      => 'text',
              'title'     => esc_html__('Social Link', 'proffer')
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'proffer'),
              'yes'     => esc_html__('Yes', 'proffer'),
              'no'     => esc_html__('No', 'proffer'),
            ),

          ),

        ),
        // header Social End

        // header Middle Infos
        array(
          'name'          => 'proffer_header_middle_infos',
          'title'         => esc_html__('Header Middle Info', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'proffer_header_middle_info',
          'clone_title'   => esc_html__('Add New Info', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),

          ),
          'clone_fields'  => array(
            array(
              'id'        => 'social_icon',
              'type'      => 'icon',
              'title'     => esc_html__('Social Icon', 'proffer')
            ),
            array(
              'id'        => 'social_icon_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Icon Color', 'proffer'),
            ),
            array(
              'id'        => 'address_text',
              'type'      => 'text',
              'title'     => esc_html__('Address Text', 'proffer')
            ),
            array(
              'id'        => 'address_desc',
              'type'      => 'text',
              'title'     => esc_html__('Address Details', 'proffer')
            ),
          ),

        ),
        // header Middle Infos End



      ),
    );

    /* Content Shortcodes */
    $options[]     = array(
      'title'      => esc_html__('Content Shortcodes', 'proffer'),
      'shortcodes' => array(

        // Spacer
        array(
          'name'          => 'vc_empty_space',
          'title'         => esc_html__('Spacer', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'height',
              'type'      => 'text',
              'title'     => esc_html__('Height', 'proffer'),
              'attributes' => array(
                'placeholder'     => '20px',
              ),
            ),

          ),
        ),
        // Spacer

        // Social Icons
        array(
          'name'          => 'proffer_socials',
          'title'         => esc_html__('Social Icons', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'proffer_social',
          'clone_title'   => esc_html__('Add New', 'proffer'),
          'fields'        => array(
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),  
            array(
              'id'        => 'section_title',
              'type'      => 'text',
              'title'     => esc_html__('Title', 'proffer'),
            ),

            // Colors
            array(
              'type'    => 'notice',
              'class'   => 'info',
              'content' => esc_html__('Colors', 'proffer')
            ),
            array(
              'id'        => 'icon_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Icon Color', 'proffer'),
              'wrap_class' => 'column_third',
            ),
            array(
              'id'        => 'icon_hover_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Icon Hover Color', 'proffer'),
              'wrap_class' => 'column_third',
              'dependency'  => array('social_select', '!=', 'style-three'),
            ),
            array(
              'id'        => 'bg_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Backrgound Color', 'proffer'),
              'wrap_class' => 'column_third',
              'dependency'  => array('social_select', '!=', 'style-one'),
            ),
            array(
              'id'        => 'bg_hover_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Backrgound Hover Color', 'proffer'),
              'wrap_class' => 'column_third',
              'dependency'  => array('social_select', '==', 'style-two'),
            ),
            array(
              'id'        => 'border_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Border Color', 'proffer'),
              'wrap_class' => 'column_third',
              'dependency'  => array('social_select', '==', 'style-three'),
            ),

            // Icon Size
            array(
              'id'        => 'icon_size',
              'type'      => 'text',
              'title'     => esc_html__('Icon Size', 'proffer'),
              'wrap_class' => 'column_full',
            ),

          ),
          'clone_fields'  => array(

            array(
              'id'        => 'social_link',
              'type'      => 'text',
              'attributes' => array(
                'placeholder'     => 'http://',
              ),
              'title'     => esc_html__('Link', 'proffer')
            ),
            array(
              'id'        => 'social_icon',
              'type'      => 'icon',
              'title'     => esc_html__('Social Icon', 'proffer')
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'proffer'),
              'on_text'     => esc_html__('Yes', 'proffer'),
              'off_text'     => esc_html__('No', 'proffer'),
            ),

          ),

        ),
        // Social Icons

        // Useful Links
        array(
          'name'          => 'proffer_useful_links',
          'title'         => esc_html__('Useful Links', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'proffer_useful_link',
          'clone_title'   => esc_html__('Add New', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'column_width',
              'type'      => 'select',
              'title'     => esc_html__('Column Width', 'proffer'),
              'options'        => array(
                'full-width' => esc_html__('One Column', 'proffer'),
                'half-width' => esc_html__('Two Column', 'proffer'),
                'third-width' => esc_html__('Three Column', 'proffer'),
              ),
            ),
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),

          ),
          'clone_fields'  => array(

            array(
              'id'        => 'title_link',
              'type'      => 'text',
              'title'     => esc_html__('Link', 'proffer')
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'proffer'),
              'on_text'     => esc_html__('Yes', 'proffer'),
              'off_text'     => esc_html__('No', 'proffer'),
            ),
            array(
              'id'        => 'link_title',
              'type'      => 'text',
              'title'     => esc_html__('Title', 'proffer')
            ),

          ),

        ),
        // Useful Links

        // Simple Image List
        array(
          'name'          => 'proffer_image_lists',
          'title'         => esc_html__('Simple Image List', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'proffer_image_list',
          'clone_title'   => esc_html__('Add New', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),

          ),
          'clone_fields'  => array(

            array(
              'id'        => 'get_image',
              'type'      => 'upload',
              'title'     => esc_html__('Image', 'proffer')
            ),
            array(
              'id'        => 'link',
              'type'      => 'text',
              'attributes' => array(
                'placeholder'     => 'http://',
              ),
              'title'     => esc_html__('Link', 'proffer')
            ),
            array(
              'id'    => 'open_tab',
              'type'  => 'switcher',
              'std'   => false,
              'title' => esc_html__('Open link to new tab?', 'proffer')
            ),

          ),

        ),
        // Simple Image List

        // Simple Link
        array(
          'name'          => 'proffer_simple_link',
          'title'         => esc_html__('Simple Link', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'link_style',
              'type'      => 'select',
              'title'     => esc_html__('Link Style', 'proffer'),
              'options'        => array(
                'link-underline' => esc_html__('Link Underline', 'proffer'),
                'link-arrow-right' => esc_html__('Link Arrow (Right)', 'proffer'),
                'link-arrow-left' => esc_html__('Link Arrow (Left)', 'proffer'),
              ),
            ),
            array(
              'id'        => 'link_icon',
              'type'      => 'icon',
              'title'     => esc_html__('Icon', 'proffer'),
              'value'      => 'fa fa-caret-right',
              'dependency'  => array('link_style', '!=', 'link-underline'),
            ),
            array(
              'id'        => 'link_text',
              'type'      => 'text',
              'title'     => esc_html__('Link Text', 'proffer'),
            ),
            array(
              'id'        => 'link',
              'type'      => 'text',
              'title'     => esc_html__('Link', 'proffer'),
              'attributes' => array(
                'placeholder'     => 'http://',
              ),
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'proffer'),
              'on_text'     => esc_html__('Yes', 'proffer'),
              'off_text'     => esc_html__('No', 'proffer'),
            ),
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),

            // Normal Mode
            array(
              'type'    => 'notice',
              'class'   => 'info',
              'content' => esc_html__('Normal Mode', 'proffer')
            ),
            array(
              'id'        => 'text_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Text Color', 'proffer'),
              'wrap_class' => 'column_half el-hav-border',
            ),
            array(
              'id'        => 'border_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Border Color', 'proffer'),
              'wrap_class' => 'column_half el-hav-border',
              'dependency'  => array('link_style', '==', 'link-underline'),
            ),
            // Hover Mode
            array(
              'type'    => 'notice',
              'class'   => 'info',
              'content' => esc_html__('Hover Mode', 'proffer')
            ),
            array(
              'id'        => 'text_hover_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Text Hover Color', 'proffer'),
              'wrap_class' => 'column_half el-hav-border',
            ),
            array(
              'id'        => 'border_hover_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Border Hover Color', 'proffer'),
              'wrap_class' => 'column_half el-hav-border',
              'dependency'  => array('link_style', '==', 'link-underline'),
            ),

            // Size
            array(
              'type'    => 'notice',
              'class'   => 'info',
              'content' => esc_html__('Font Sizes', 'proffer')
            ),
            array(
              'id'        => 'text_size',
              'type'      => 'text',
              'title'     => esc_html__('Text Size', 'proffer'),
              'attributes' => array(
                'placeholder'     => 'Eg: 14px',
              ),
            ),

          ),
        ),
        // Simple Link

        // Blockquotes
        array(
          'name'          => 'proffer_blockquote',
          'title'         => esc_html__('Blockquote', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'blockquote_style',
              'type'      => 'select',
              'title'     => esc_html__('Blockquote Style', 'proffer'),
              'options'        => array(
                '' => esc_html__('Select Blockquote Style', 'proffer'),
                'style-one' => esc_html__('Style One', 'proffer'),
                'style-two' => esc_html__('Style Two', 'proffer'),
              ),
            ),
            array(
              'id'        => 'text_size',
              'type'      => 'text',
              'title'     => esc_html__('Text Size', 'proffer'),
            ),
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),
            array(
              'id'        => 'content_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Content Color', 'proffer'),
            ),
            array(
              'id'        => 'left_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Left Border Color', 'proffer'),
            ),
            array(
              'id'        => 'border_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Border Color', 'proffer'),
            ),
            array(
              'id'        => 'bg_color',
              'type'      => 'color_picker',
              'title'     => esc_html__('Background Color', 'proffer'),
            ),
            // Content
            array(
              'id'        => 'content',
              'type'      => 'textarea',
              'title'     => esc_html__('Content', 'proffer'),
            ),

          ),

        ),
        // Blockquotes

      ),
    );

    /* Widget Shortcodes */
    $options[]     = array(
      'title'      => esc_html__('Widget Shortcodes', 'proffer'),
      'shortcodes' => array(

        // widget Contact info
        array(
          'name'          => 'proffer_widget_contact_info',
          'title'         => esc_html__('Contact info', 'proffer'),
          'fields'        => array(
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),
             array(
              'id'        => 'image_url',
              'type'      => 'image',
              'title'     => esc_html__('Image background', 'proffer'),
            ),
            array(
              'id'        => 'title',
              'type'      => 'text',
              'title'     => esc_html__('Title', 'proffer'),
            ),
            array(
              'id'        => 'desc',
              'type'      => 'textarea',
              'title'     => esc_html__('Description', 'proffer'),
            ),
            array(
              'id'        => 'link_text',
              'type'      => 'text',
              'title'     => esc_html__('Link text', 'proffer'),
            ),
            array(
              'id'        => 'link',
              'type'      => 'text',
              'title'     => esc_html__('Link', 'proffer'),
            ),

          ),
        ),

        // widget Testimonials
        array(
          'name'          => 'proffer_widget_testimonial',
          'title'         => esc_html__('Testimonial', 'proffer'),
          'fields'        => array(
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),
             array(
              'id'        => 'image_url',
              'type'      => 'image',
              'title'     => esc_html__('Image background', 'proffer'),
            ),
            array(
              'id'        => 'subtitle',
              'type'      => 'text',
              'title'     => esc_html__('Sub Title', 'proffer'),
            ),
            array(
              'id'        => 'title',
              'type'      => 'text',
              'title'     => esc_html__('Title', 'proffer'),
            ),
            array(
              'id'        => 'desc',
              'type'      => 'textarea',
              'title'     => esc_html__('Description', 'proffer'),
            ),

          ),
        ),

       // About widget Block
        array(
          'name'          => 'proffer_about_widget',
          'title'         => esc_html__('About Widget Block', 'proffer'),
          'fields'        => array(
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),
            array(
              'id'        => 'title',
              'type'      => 'text',
              'title'     => esc_html__('Title', 'proffer'),
            ),
            array(
              'id'        => 'image_url',
              'type'      => 'image',
              'title'     => esc_html__('About Block Image', 'proffer'),
            ),
            array(
              'id'        => 'desc',
              'type'      => 'textarea',
              'title'     => esc_html__('Description', 'proffer'),
            ),
            array(
              'id'        => 'link_text',
              'type'      => 'text',
              'title'     => esc_html__('Link text', 'proffer'),
            ),
            array(
              'id'        => 'link',
              'type'      => 'text',
              'title'     => esc_html__('Link', 'proffer'),
            ),

          ),
        ),


      // Cause Contact Widget
        array(
          'name'          => 'proffer_causes_widget_contacts',
          'title'         => esc_html__('Cause CTA Widget', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'proffer_causes_widget_contact',
          'clone_title'   => esc_html__('Add New', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),
            array(
              'id'        => 'case_bg',
              'type'      => 'image',
              'title'     => esc_html__('Atached Image', 'proffer'),
            ),
          ),
          'clone_fields'  => array(
           
             array(
              'id'        => 'info_title',
              'type'      => 'text',
              'title'     => esc_html__('Contact title', 'proffer')
            ),
             array(
              'id'        => 'info_desc',
              'type'      => 'text',
              'title'     => esc_html__('Contact Desc', 'proffer')
            ),

          ),

        ),
      // Service Contact Widget End
        // widget download-widget
        array(
          'name'          => 'proffer_download_widgets',
          'title'         => esc_html__('Download Widget', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'proffer_download_widget',
          'clone_title'   => esc_html__('Add New', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),
          ),
          'clone_fields'  => array(

            array(
              'id'        => 'download_icon',
              'type'      => 'icon',
              'title'     => esc_html__('Download Icon', 'proffer')
            ),
            array(
              'id'        => 'title',
              'type'      => 'text',
              'title'     => esc_html__('Download Title', 'proffer')
            ),
            array(
              'id'        => 'link',
              'type'      => 'text',
              'title'     => esc_html__('Download Link', 'proffer')
            ),

          ),

        ),

      ),
    );

    /* Footer Shortcodes */
    $options[]     = array(
      'title'      => esc_html__('Footer Shortcodes', 'proffer'),
      'shortcodes' => array(

        // Footer Menus
        array(
          'name'          => 'proffer_footer_menus',
          'title'         => esc_html__('Footer Menu Links', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'proffer_footer_menu',
          'clone_title'   => esc_html__('Add New', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),

          ),
          'clone_fields'  => array(

            array(
              'id'        => 'menu_title',
              'type'      => 'text',
              'title'     => esc_html__('Menu Title', 'proffer')
            ),
            array(
              'id'        => 'menu_link',
              'type'      => 'text',
              'title'     => esc_html__('Menu Link', 'proffer')
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => esc_html__('Open New Tab?', 'proffer'),
              'on_text'     => esc_html__('Yes', 'proffer'),
              'off_text'     => esc_html__('No', 'proffer'),
            ),

          ),

        ),
        // Footer Menus
        array(
          'name'          => 'footer_infos',
          'title'         => esc_html__('footer logo and Text', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'footer_info',
          'clone_title'   => esc_html__('Add New', 'proffer'),
          'fields'        => array(
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),
            array(
              'id'        => 'footer_logo',
              'type'      => 'image',
              'title'     => esc_html__('Footer logo', 'proffer'),
            ),
            array(
              'id'        => 'desc',
              'type'      => 'textarea',
              'title'     => esc_html__('Description', 'proffer'),
            ),
            
          ),
          'clone_fields'  => array(
            array(
              'id'        => 'social_icon',
              'type'      => 'icon',
              'title'     => esc_html__('Social Icon', 'proffer')
            ),
            array(
              'id'        => 'social_link',
              'type'      => 'text',
              'title'     => esc_html__('Social Link', 'proffer')
            ),
          ),

        ),

      // footer contact info
      array(
        'name'          => 'proffer_footer_contact_infos',
        'title'         => esc_html__('Contact info', 'proffer'),
        'view'          => 'clone',
        'clone_id'      => 'proffer_footer_contact_info',
        'clone_title'   => esc_html__('Add New', 'proffer'),
        'fields'        => array(

          array(
            'id'        => 'custom_class',
            'type'      => 'text',
            'title'     => esc_html__('Custom Class', 'proffer'),
          ),
          array(
            'id'        => 'title',
            'type'      => 'textarea',
            'title'     => esc_html__('Heading Title', 'proffer'),
          ),

        ),
        'clone_fields'  => array(

          array(
            'id'        => 'item_title',
            'type'      => 'text',
            'title'     => esc_html__('Contact info item title', 'proffer')
          ),
          array(
            'id'        => 'item',
            'type'      => 'text',
            'title'     => esc_html__('Contact info item', 'proffer')
          ),
        ),

      ),

      // footer Address
       array(
          'name'          => 'proffer_footer_address_item',
          'title'         => esc_html__('Address', 'proffer'),
          'view'          => 'clone',
          'clone_id'      => 'proffer_footer_address_items',
          'clone_title'   => esc_html__('Add New', 'proffer'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => esc_html__('Custom Class', 'proffer'),
            ),

          ),
          'clone_fields'  => array(
            array(
              'id'        => 'item',
              'type'      => 'text',
              'title'     => esc_html__('Address item', 'proffer')
            ),
          ),
        ),

      ),
    );

  return $options;

  }
  add_filter( 'cs_shortcode_options', 'proffer_shortcodes' );
}