<?php
/*
Plugin Name: Proffer Core
Plugin URI: http://themeforest.net/user/themexshaper
Description: Plugin to contain shortcodes and custom post types of the proffer theme.
Author: themexshaper
Author URI: http://themeforest.net/user/themexshaper/portfolio
Version: 1.0
Text Domain: proffer-core
*/

if( ! function_exists( 'proffer_block_direct_access' ) ) {
	function proffer_block_direct_access() {
		if( ! defined( 'ABSPATH' ) ) {
			exit( 'Forbidden' );
		}
	}
}

// Plugin URL
define( 'PROFFER_PLUGIN_URL', plugins_url( '/', __FILE__ ) );

// Plugin PATH
define( 'PROFFER_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'PROFFER_PLUGIN_ASTS', PROFFER_PLUGIN_URL . 'assets' );
define( 'PROFFER_PLUGIN_IMGS', PROFFER_PLUGIN_ASTS . '/images' );
define( 'PROFFER_PLUGIN_INC', PROFFER_PLUGIN_PATH . 'include' );

// DIRECTORY SEPARATOR
define ( 'DS' , DIRECTORY_SEPARATOR );

// Proffer Elementor Shortcode Path
define( 'PROFFER_EM_SHORTCODE_BASE_PATH', PROFFER_PLUGIN_PATH . 'elementor/' );
define( 'PROFFER_EM_SHORTCODE_PATH', PROFFER_EM_SHORTCODE_BASE_PATH . 'widgets/' );

/**
 * Check if Codestar Framework is Active or Not!
 */
function proffer_framework_active() {
  return ( defined( 'CS_VERSION' ) ) ? true : false;
}

/* PROFFER_THEME_NAME_PLUGIN */
define('PROFFER_THEME_NAME_PLUGIN', 'Proffer' );

// Initial File
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if (is_plugin_active('proffer-core/proffer-core.php')) {

	// Custom Post Type
  require_once( PROFFER_PLUGIN_INC . '/custom-post-type.php' );

  if ( is_plugin_active('kingcomposer/kingcomposer.php') ) {

    define( 'PROFFER_KC_SHORTCODE_BASE_PATH', PROFFER_PLUGIN_PATH . 'kc/' );
    define( 'PROFFER_KC_SHORTCODE_PATH', PROFFER_KC_SHORTCODE_BASE_PATH . 'shortcodes/' );
    // Shortcodes
    require_once( PROFFER_KC_SHORTCODE_BASE_PATH . '/kc-setup.php' );
    require_once( PROFFER_KC_SHORTCODE_BASE_PATH . '/library.php' );
  }

  // Theme Custom Shortcode
  require_once( PROFFER_PLUGIN_INC . '/custom-shortcodes/theme-shortcodes.php' );
  require_once( PROFFER_PLUGIN_INC . '/custom-shortcodes/custom-shortcodes.php' );

  // Importer
  require_once( PROFFER_PLUGIN_INC . '/demo/importer.php' );


  if (class_exists('WP_Widget') && is_plugin_active('codestar-framework/cs-framework.php') ) {
    // Widgets

    require_once( PROFFER_PLUGIN_INC . '/widgets/nav-widget.php' );
    require_once( PROFFER_PLUGIN_INC . '/widgets/recent-posts.php' );
    require_once( PROFFER_PLUGIN_INC . '/widgets/causes-posts.php' );
    require_once( PROFFER_PLUGIN_INC . '/widgets/text-widget.php' );
    require_once( PROFFER_PLUGIN_INC . '/widgets/widget-extra-fields.php' );

    // Elementor
    if(file_exists( PROFFER_EM_SHORTCODE_BASE_PATH . '/em-setup.php' ) ){
      require_once( PROFFER_EM_SHORTCODE_BASE_PATH . '/em-setup.php' );
      require_once( PROFFER_EM_SHORTCODE_BASE_PATH . 'lib/fields/icons.php' );
      require_once( PROFFER_EM_SHORTCODE_BASE_PATH . 'lib/icons-manager/icons-manager.php' );
    }
  }

  add_action('wp_enqueue_scripts', 'proffer_plugin_enqueue_scripts');
  function proffer_plugin_enqueue_scripts() {
    wp_enqueue_script('plugin-scripts', PROFFER_PLUGIN_ASTS.'/plugin-scripts.js', array('jquery'), '', true);
  }

}

// Extra functions
require_once( PROFFER_PLUGIN_INC . '/theme-functions.php' );