<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: themexshaper
 * URL: http://themeforest.net/user/themexshaper
 */

global $post;
$image_url = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ), 'large' );
$image_alt = get_post_meta( get_post_thumbnail_id( $post->ID ) , '_wp_attachment_image_alt', true);

$form = new \Give_Donate_Form( get_the_ID() );
$goal_option = get_post_meta( get_the_ID(), '_give_goal_option', true );
$goal        = $form->goal;
$goal_format = get_post_meta( get_the_ID(), '_give_goal_format', true );
$income      = $form->get_earnings();
$color       = get_post_meta( get_the_ID(), '_give_goal_color', true );
//Sanity check - ensure form has goal set to output
if ( empty( $form->ID ) || ( is_singular( 'give_forms' ) && ! give_is_setting_enabled( $goal_option ) ) || ! give_is_setting_enabled( $goal_option ) || $goal == 0 ) {
  return false;
}
$progress = round( ( $income / $goal ) * 100, 2 );
if ( $income >= $goal ) {
  $progress = 100;
}
$customer_id = give_get_payment_donor_id( get_the_ID() );
$income = give_human_format_large_amount( give_format_amount( $income ) );
$goal = give_human_format_large_amount( give_format_amount( $goal ) );
$payment_mode = give_get_chosen_gateway( get_the_ID() );
$form_action = add_query_arg( apply_filters( 'give_form_action_args', array( 'payment-mode' => $payment_mode, ) ),  give_get_current_page_url() );

$causes_options = get_post_meta( get_the_ID(), 'causes_options', true );
$case_follow_title = isset( $causes_options['case_follow_title']) ? $causes_options['case_follow_title'] : '';
$case_follow_note = isset( $causes_options['case_follow_note']) ? $causes_options['case_follow_note'] : '';
$give_socials = isset( $causes_options['give_socials']) ? $causes_options['give_socials'] : '';
$case_form_title = isset( $causes_options['case_form_title']) ? $causes_options['case_form_title'] : '';
$case_form_subtitle = isset( $causes_options['case_form_subtitle']) ? $causes_options['case_form_subtitle'] : '';

get_header();
?>
<div class="case-single-section section-padding">
    <div class="container">
        <div class="row">
            <div class="col col-lg-8 col-md-7">
            	<?php if ( isset( $image_url ) ): ?>
            		<div class="img-holder big-img">
		            <img src="<?php echo esc_url( $image_url ); ?>" alt="<?php echo esc_attr( $image_alt ); ?>">
		            </div>
		          <?php endif ?>
            </div>
            <div class="col col-lg-4 col-md-5">
                <div class="case-info-area">
                    <h3><?php echo esc_html(get_the_title()); ?></h3>
                    <div class="goal-raised">
                        <div><span><?php echo esc_attr__( 'Goal:','proffer' ); ?></span><?php echo apply_filters( 'give_goal_amount_raised_output', give_currency_filter( $income ) ); ?></div>
                        <div><span><?php echo esc_attr__( 'Raised:','proffer' ); ?></span><?php echo apply_filters( 'give_goal_amount_target_output', give_currency_filter( $goal ) ); ?></div>
                    </div>
                    <div class="progress">
                    		<div class="progress-bar" data-percent="<?php echo esc_attr( $progress ); ?>"></div>
                    </div>
                    <p><?php echo give_get_meta( get_the_ID(), '_give_form_content', true ); ?></p>
                    <div class="social-area">
                        <ul>
                          <?php if ( $give_socials ) {
			                      foreach ( $give_socials  as $key => $give_social ) : ?>
				                    <li>
				                    	<a href="<?php echo esc_url( $give_social['give_social_link'] ); ?>">
				                      <i class="<?php echo esc_attr( $give_social['give_social_icon'] ); ?>"></i></a>
				                    </li>
			                  	<?php endforeach;  } ?>
                        </ul>
                        <?php if( $case_follow_title ) { echo '<span>'.esc_html( $case_follow_title ).'</span>'; }  ?>
                    </div>
                    <?php if( $case_follow_note ) { echo '<p>'.esc_html( $case_follow_note ).'</p>'; }  ?>
                </div>
            </div>
        </div>
        <div class="row donate-area-bottom">
            <div class="col col-md-8">
                <div class="donate-area-wrapper">
                	<?php if( $case_form_title ) { echo '<h3>'.esc_html( $case_form_title ).'</h3>'; }  ?>
                	<?php if( $case_form_subtitle ) { echo '<p>'.esc_html( $case_form_subtitle ).'</p>'; }  ?>
                	<?php echo do_action( 'give_single_form_summary' ); ?>
                </div> 
            </div>
            <div class="col col-md-4">
                <div class="case-single-sidebar">
                   <?php
										if ( is_active_sidebar( 'give-forms-sidebar' ) ) {
											dynamic_sidebar( 'give-forms-sidebar' );
										} ?>
                </div>
            </div>
        </div>
    </div> <!-- end container -->
</div>
<?php
get_footer();