<?php
/*
 * All CSS and JS files are enqueued from this file
 * Author & Copyright:themexshaper
 * URL: http://themeforest.net/user/themexshaper
 */

/**
 * Enqueue Files for FrontEnd
 */
function proffer_google_font_url() {
    $font_url = '';
    if ( 'off' !== esc_html__( 'on', 'proffer' ) ) {
        $font_url = add_query_arg( 'family', urlencode( 'Jost:wght@300,400,500,600,700&display=swap' ), "//fonts.googleapis.com/css" );
    }
    return $font_url;
}

if ( ! function_exists( 'proffer_scripts_styles' ) ) {
  function proffer_scripts_styles() {

    // Styles
    wp_enqueue_style( 'themify-icons', PROFFER_CSS .'/themify-icons.css', array(), '4.6.3', 'all' );
    wp_enqueue_style( 'flaticon', PROFFER_CSS .'/flaticon.css', array(), '1.0.0', 'all' );
    wp_enqueue_style( 'bootstrap', PROFFER_CSS .'/bootstrap.min.css', array(), '3.3.7', 'all' );
    wp_enqueue_style( 'animate', PROFFER_CSS .'/animate.css', array(), '3.5.1', 'all' );
    wp_enqueue_style( 'odometer', PROFFER_CSS .'/odometer.css', array(), '0.4.8', 'all' );
    wp_enqueue_style( 'owl-carousel', PROFFER_CSS .'/owl.carousel.css', array(), '2.0.0', 'all' );
    wp_enqueue_style( 'owl-theme', PROFFER_CSS .'/owl.theme.css', array(), '2.0.0', 'all' );
    wp_enqueue_style( 'slick', PROFFER_CSS .'/slick.css', array(), '1.6.0', 'all' );
    wp_enqueue_style( 'swiper', PROFFER_CSS .'/swiper.min.css', array(), '4.0.7', 'all' );
    wp_enqueue_style( 'slick-theme', PROFFER_CSS .'/slick-theme.css', array(), '1.6.0', 'all' );
    wp_enqueue_style( 'owl-transitions', PROFFER_CSS .'/owl.transitions.css', array(), '2.0.0', 'all' );
    wp_enqueue_style( 'fancybox', PROFFER_CSS .'/fancybox.css', array(), '2.0.0', 'all' );
    wp_enqueue_style( 'proffer-style', PROFFER_CSS .'/styles.css', array(), PROFFER_VERSION, 'all' );
    wp_enqueue_style( 'element', PROFFER_CSS .'/elements.css', array(), PROFFER_VERSION, 'all' );
    if ( !function_exists('cs_framework_init') ) {
      wp_enqueue_style('proffer-default-style', get_template_directory_uri() . '/style.css', array(),  PROFFER_VERSION, 'all' );
    }
    wp_enqueue_style( 'proffer-default-google-fonts', esc_url( proffer_google_font_url() ), array(), PROFFER_VERSION, 'all' );
    // Scripts
    wp_enqueue_script( 'bootstrap', PROFFER_SCRIPTS . '/bootstrap.min.js', array( 'jquery' ), '3.3.7', true );
    wp_enqueue_script( 'imagesloaded');
    wp_enqueue_script( 'isotope', PROFFER_SCRIPTS . '/isotope.min.js', array( 'jquery' ), '2.2.2', true );
    wp_enqueue_script( 'fancybox', PROFFER_SCRIPTS . '/fancybox.min.js', array( 'jquery' ), '2.1.5', true );
    wp_enqueue_script( 'instafeed', PROFFER_SCRIPTS . '/instafeed.min.js', array( 'jquery' ), '2.1.5', true );
    wp_enqueue_script( 'masonry');
    wp_enqueue_script( 'owl-carousel', PROFFER_SCRIPTS . '/owl-carousel.js', array( 'jquery' ), '2.0.0', true );
    wp_enqueue_script( 'jquery-easing', PROFFER_SCRIPTS . '/jquery-easing.js', array( 'jquery' ), '1.4.0', true );
    wp_enqueue_script( 'wow', PROFFER_SCRIPTS . '/wow.min.js', array( 'jquery' ), '1.4.0', true );
    wp_enqueue_script( 'odometer', PROFFER_SCRIPTS . '/odometer.min.js', array( 'jquery' ), '0.4.8', true );
    wp_enqueue_script( 'magnific-popup', PROFFER_SCRIPTS . '/magnific-popup.js', array( 'jquery' ), '1.1.0', true );
    wp_enqueue_script( 'slick-slider', PROFFER_SCRIPTS . '/slick-slider.js', array( 'jquery' ), '1.6.0', true );
    wp_enqueue_script( 'swiper', PROFFER_SCRIPTS . '/swiper.min.js', array( 'jquery' ), '4.0.7', true );
    wp_enqueue_script( 'wc-quantity-increment', PROFFER_SCRIPTS . '/wc-quantity-increment.js', array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'proffer-scripts', PROFFER_SCRIPTS . '/scripts.js', array( 'jquery' ), PROFFER_VERSION, true );
    // Comments
    wp_enqueue_script( 'proffer-inline-validate', PROFFER_SCRIPTS . '/jquery.validate.min.js', array( 'jquery' ), '1.9.0', true );
    wp_add_inline_script( 'proffer-validate', 'jQuery(document).ready(function($) {$("#commentform").validate({rules: {author: {required: true,minlength: 2},email: {required: true,email: true},comment: {required: true,minlength: 10}}});});' );

    // Responsive Active
    $proffer_viewport = cs_get_option('theme_responsive');
    if( !$proffer_viewport ) {
      wp_enqueue_style( 'proffer-responsive', PROFFER_CSS .'/responsive.css', array(), PROFFER_VERSION, 'all' );
    }

    // Adds support for pages with threaded comments
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }

  }
  add_action( 'wp_enqueue_scripts', 'proffer_scripts_styles' );
}

/**
 * Enqueue Files for BackEnd
 */
if ( ! function_exists( 'proffer_admin_scripts_styles' ) ) {
  function proffer_admin_scripts_styles() {

    wp_enqueue_style( 'proffer-admin-main', PROFFER_CSS . '/admin-styles.css', true );
    wp_enqueue_style( 'flaticon', PROFFER_CSS . '/flaticon.css', true );
    wp_enqueue_style( 'themify-icons', PROFFER_CSS . '/themify-icons.css', true );
    wp_enqueue_script( 'proffer-admin-scripts', PROFFER_SCRIPTS . '/admin-scripts.js', true );

  }
  add_action( 'admin_enqueue_scripts', 'proffer_admin_scripts_styles' );
}
