<?php
/*
 * The search template file.
 * Author & Copyright: themexshaper
 * URL: http://themeforest.net/user/themexshaper
 */
get_header();
	// Metabox
	$proffer_id    = ( isset( $post ) ) ? $post->ID : 0;
	$proffer_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $proffer_id;
	$proffer_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $proffer_id;
	$proffer_meta  = get_post_meta( $proffer_id, 'page_type_metabox', true );
	if ( $proffer_meta ) {
		$proffer_content_padding = isset( $proffer_meta['content_spacings'] ) ? $proffer_meta['content_spacings'] : '';
	} else { $proffer_content_padding = ''; }
	// Padding - Metabox
	if ($proffer_content_padding && $proffer_content_padding !== 'padding-default') {
		$proffer_content_top_spacings = $proffer_meta['content_top_spacings'];
		$proffer_content_bottom_spacings = $proffer_meta['content_bottom_spacings'];
		if ($proffer_content_padding === 'padding-custom') {
			$proffer_content_top_spacings = $proffer_content_top_spacings ? 'padding-top:'. proffer_check_px($proffer_content_top_spacings) .';' : '';
			$proffer_content_bottom_spacings = $proffer_content_bottom_spacings ? 'padding-bottom:'. proffer_check_px($proffer_content_bottom_spacings) .';' : '';
			$proffer_custom_padding = $proffer_content_top_spacings . $proffer_content_bottom_spacings;
		} else {
			$proffer_custom_padding = '';
		}
	} else {
		$proffer_custom_padding = '';
	}
	// Theme Options
	$proffer_sidebar_position = cs_get_option( 'blog_sidebar_position' );
	$proffer_sidebar_position = $proffer_sidebar_position ?$proffer_sidebar_position : 'sidebar-right';
	$proffer_blog_widget = cs_get_option( 'blog_widget' );
	$proffer_blog_widget = $proffer_blog_widget ? $proffer_blog_widget : 'sidebar-1';

	if (isset($_GET['sidebar'])) {
	  $proffer_sidebar_position = $_GET['sidebar'];
	}

	$proffer_sidebar_position = $proffer_sidebar_position ? $proffer_sidebar_position : 'sidebar-right';

	// Sidebar Position
	if ( $proffer_sidebar_position === 'sidebar-hide' ) {
		$layout_class = 'col col col-md-10 col-md-offset-1';
		$proffer_sidebar_class = 'hide-sidebar';
	} elseif ( $proffer_sidebar_position === 'sidebar-left' && is_active_sidebar( $proffer_blog_widget ) ) {
		$layout_class = 'col col-md-8 col-md-push-3';
		$proffer_sidebar_class = 'left-sidebar';
	} elseif( is_active_sidebar( $proffer_blog_widget ) ) {
		$layout_class = 'col col-md-8';
		$proffer_sidebar_class = 'right-sidebar';
	} else {
		$layout_class = 'col col-md-12';
		$proffer_sidebar_class = 'hide-sidebar';
	}
	?>
<div class="blog-pg-section section-padding">
	<div class="container <?php echo esc_attr( $proffer_content_padding .' '. $proffer_sidebar_class ); ?>" style="<?php echo esc_attr( $proffer_custom_padding ); ?>">
		<div class="row">
			<div class="<?php echo esc_attr( $layout_class ); ?>">
				<div class="blog-content">
				<?php
				if ( have_posts() ) :
					/* Start the Loop */
					while ( have_posts() ) : the_post();
						get_template_part( 'theme-layouts/post/content', 'search');
					endwhile;
				else :
					get_template_part( 'theme-layouts/post/content', 'none' );
				endif;
				proffer_posts_navigation();
		    wp_reset_postdata(); ?>
		    </div>
			</div><!-- Content Area -->
			<?php
			if ( $proffer_sidebar_position !== 'sidebar-hide' && is_active_sidebar( $proffer_blog_widget ) ) {
				get_sidebar(); // Sidebar
			} ?>
		</div>
	</div>
</div>
<?php
get_footer();