<?php
/*
 * The sidebar containing the main widget area.
 * Author & Copyright: themexshaper
 * URL: http://themeforest.net/user/themexshaper
 */
$proffer_blog_widget = cs_get_option( 'blog_widget' );
$proffer_single_blog_widget = cs_get_option( 'single_blog_widget' );
$proffer_event_sidebar_position = cs_get_option( 'event_sidebar_position' );
$proffer_event_widget = cs_get_option( 'single_event_widget' );
$proffer_team_sidebar_position = cs_get_option( 'team_sidebar_position' );
$proffer_team_widget = cs_get_option( 'single_team_widget' );
$proffer_blog_sidebar_position = cs_get_option( 'blog_sidebar_position' );
$proffer_sidebar_position = cs_get_option( 'single_sidebar_position' );
$woo_widget = cs_get_option('woo_widget');
$proffer_page_layout_shop = cs_get_option( 'woo_sidebar_position' );
$shop_sidebar_position = ( is_woocommerce_shop() ) ? $proffer_page_layout_shop : '';
if ( is_home() || is_archive() || is_search() ) {
	$proffer_blog_sidebar_position = $proffer_blog_sidebar_position;
} else {
	$proffer_blog_sidebar_position = '';
}
if ( is_single() ) {
	$proffer_sidebar_position = $proffer_sidebar_position;
} else {
	$proffer_sidebar_position = '';
}

if ( is_singular( 'event' ) ) {
	$proffer_event_sidebar_position = $proffer_event_sidebar_position;
} else {
	$proffer_event_sidebar_position = '';
}

if ( is_singular( 'team' ) ) {
	$proffer_team_sidebar_position = $proffer_team_sidebar_position;
} else {
	$proffer_team_sidebar_position = '';
}

if ( is_page() ) {
	// Page Layout Options
	$proffer_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );
	if ( $proffer_page_layout ) {
		$proffer_page_sidebar_pos = $proffer_page_layout['page_layout'];
	} else {
		$proffer_page_sidebar_pos = '';
	}
} else {
	$proffer_page_sidebar_pos = '';
}
if (isset($_GET['sidebar'])) {
  $proffer_blog_sidebar_position = $_GET['sidebar'];
}
// sidebar class
if ( $proffer_sidebar_position === 'sidebar-left' || $proffer_page_sidebar_pos == 'left-sidebar' || $proffer_blog_sidebar_position === 'sidebar-left' ) {
	$col_class = 'col-md-pull-8';
} else {
	$col_class = '';
}

if ( $proffer_event_sidebar_position === 'sidebar-left' ) {
	$atn_push_class = ' col-lg-pull-9';
} else {
	$atn_push_class = '';
}
if ( $proffer_team_sidebar_position === 'sidebar-left'  ) {
	$team_push_class = ' col-lg-pull-8';
} else {
	$team_push_class = '';
}

if ( is_singular( 'event' ) ) {
	$custom_col = ' col-lg-4 ';
	$sidebar_class = 'event-sidebar';
}	elseif ( is_singular( 'team' ) ) {
	$custom_col = ' col-lg-4 ';
	$sidebar_class = 'team-sidebar';
} else {
	$custom_col = '';
	$sidebar_class = 'blog-sidebar';
}

if (  $shop_sidebar_position == 'left-sidebar' ) {
	$shop_push_class = ' col-lg-pull-9';
} else {
	$shop_push_class = '';
}

if (  class_exists( 'WooCommerce' ) && is_shop() ) {
	$shop_col = ' shop-sidebar col-lg-4';
} else {
	$shop_col = '';
}

?>
<div class="col-md-4 <?php echo esc_attr( $col_class.$custom_col.$atn_push_class.$shop_col.$shop_push_class.$team_push_class ); ?>">
	<div class="<?php echo esc_attr( $sidebar_class ); ?>">
		<?php
		if (is_page() && isset( $proffer_page_layout['page_sidebar_widget'] ) && !empty( $proffer_page_layout['page_sidebar_widget'] ) ) {
			if ( is_active_sidebar( $proffer_page_layout['page_sidebar_widget'] ) ) {
				dynamic_sidebar( $proffer_page_layout['page_sidebar_widget'] );
			}
		} elseif (!is_page() && $proffer_blog_widget && !$proffer_single_blog_widget) {
			if ( is_active_sidebar( $proffer_blog_widget ) ) {
				dynamic_sidebar( $proffer_blog_widget );
			}
		} elseif ( $proffer_event_widget && is_singular( 'event' ) ) {
			if ( is_active_sidebar( $proffer_event_widget ) ) {
				dynamic_sidebar( $proffer_event_widget );
			}
		}  elseif ( $proffer_team_widget && is_singular( 'team' ) ) {
			if ( is_active_sidebar( $proffer_team_widget ) ) {
				dynamic_sidebar( $proffer_team_widget );
			}
		}  elseif (is_woocommerce_shop() && $woo_widget) {
			if (is_active_sidebar($woo_widget)) {
				dynamic_sidebar($woo_widget);
			}
		} elseif ( is_single() && $proffer_single_blog_widget ) {
			if ( is_active_sidebar( $proffer_single_blog_widget ) ) {
				dynamic_sidebar( $proffer_single_blog_widget );
			}
		} else {
			if ( is_active_sidebar( 'sidebar-1' ) ) {
				dynamic_sidebar( 'sidebar-1' );
			}
		} ?>
	</div>
</div><!-- #secondary -->
