<?php
// Metabox
global $post;
$proffer_id    = ( isset( $post ) ) ? $post->ID : false;
$proffer_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $proffer_id;
$proffer_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $proffer_id;
$proffer_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('service') ) ? $proffer_id : false;
$proffer_meta  = get_post_meta( $proffer_id, 'page_type_metabox', true );
// Header Style
if ( $proffer_meta ) {
  $proffer_header_design  = $proffer_meta['select_header_design'];
} else {
  $proffer_header_design  = cs_get_option( 'select_header_design' );
}

if ( $proffer_header_design === 'default' ) {
  $proffer_header_design_actual  = cs_get_option( 'select_header_design' );
} else {
  $proffer_header_design_actual = ( $proffer_header_design ) ? $proffer_header_design : cs_get_option('select_header_design');
}
$proffer_header_design_actual = $proffer_header_design_actual ? $proffer_header_design_actual : 'style_one';

$proffer_logo = cs_get_option( 'proffer_logo' );
$proffer_trlogo = cs_get_option( 'proffer_trlogo' );
$proffer_logo_s2 = cs_get_option( 'proffer_logo_s2' );

$logo_url = wp_get_attachment_url( $proffer_logo );
$logo_alt = get_post_meta( $proffer_logo, '_wp_attachment_image_alt', true );

$trlogo_url = wp_get_attachment_url( $proffer_trlogo );
$trlogo_alt = get_post_meta( $proffer_trlogo, '_wp_attachment_image_alt', true );

$logo_s2_url = wp_get_attachment_url( $proffer_logo_s2 );
$logo_s2_alt = get_post_meta( $proffer_logo_s2, '_wp_attachment_image_alt', true );

if ( $logo_url ) {
  $logo_url = $logo_url;
} else {
 $logo_url = PROFFER_IMAGES.'/logo.png';
}

if ( $trlogo_url ) {
  $trlogo_url = $trlogo_url;
} else {
 $trlogo_url = PROFFER_IMAGES.'/tr-logo.png';
}

if ( $logo_s2_url ) {
  $logo_s2_url = $logo_s2_url;
} else {
 $logo_s2_url = PROFFER_IMAGES.'/logo-2.png';
}

if ( $proffer_header_design_actual == 'style_one' ) {
  $proffer_logo_url = $trlogo_url;
  $proffer_logo_alt = $trlogo_alt;
} elseif ( $proffer_header_design_actual == 'style_two' ) {
  $proffer_logo_url = $logo_url;
  $proffer_logo_alt = $logo_alt;
} else {
  $proffer_logo_url = $logo_s2_url;
  $proffer_logo_alt = $logo_s2_alt;
}

if ( has_nav_menu( 'primary' ) ) {
  $logo_padding = ' has_menu ';
}
else {
   $logo_padding = ' dont_has_menu ';
}


// Logo Spacings
// Logo Spacings
$proffer_brand_logo_top = cs_get_option( 'proffer_logo_top' );
$proffer_brand_logo_bottom = cs_get_option( 'proffer_logo_bottom' );
if ( $proffer_brand_logo_top ) {
  $proffer_brand_logo_top = 'padding-top:'. proffer_check_px( $proffer_brand_logo_top ) .';';
} else { $proffer_brand_logo_top = ''; }
if ( $proffer_brand_logo_bottom ) {
  $proffer_brand_logo_bottom = 'padding-bottom:'. proffer_check_px( $proffer_brand_logo_bottom ) .';';
} else { $proffer_brand_logo_bottom = ''; }
?>
<div class="site-logo <?php echo esc_attr( $logo_padding ); ?>"  style="<?php echo esc_attr( $proffer_brand_logo_top ); echo esc_attr( $proffer_brand_logo_bottom ); ?>">
   <?php if ( $proffer_logo ) {
    ?>
      <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
       <img src="<?php echo esc_url( $proffer_logo_url ); ?>" alt=" <?php echo esc_attr( $proffer_logo_alt ); ?>">
     </a>
   <?php } elseif( has_custom_logo() ) {
      the_custom_logo();
    } else {
    ?>
    <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
       <img src="<?php echo esc_url( $proffer_logo_url ); ?>" alt="<?php echo get_bloginfo('name'); ?>">
     </a>
   <?php
  } ?>
</div>