<?php
  // Metabox
  $proffer_id    = ( isset( $post ) ) ? $post->ID : 0;
  $proffer_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $proffer_id;
  $proffer_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $proffer_id;
  $proffer_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $proffer_id : false;
  $proffer_meta  = get_post_meta( $proffer_id, 'page_type_metabox', true );

  // Header Style
  if ( $proffer_meta ) {
    $proffer_header_design  = $proffer_meta['select_header_design'];
    $proffer_sticky_header = isset( $proffer_meta['sticky_header'] ) ? $proffer_meta['sticky_header'] : '' ;
    $proffer_search = isset( $proffer_meta['proffer_search'] ) ? $proffer_meta['proffer_search'] : '';
  } else {
    $proffer_header_design  = cs_get_option( 'select_header_design' );
    $proffer_sticky_header  = cs_get_option( 'sticky_header' );
    $proffer_search  = cs_get_option( 'proffer_search' );
  }

  $proffer_cart_widget  = cs_get_option( 'proffer_cart_widget' );

  if ( $proffer_header_design === 'default' ) {
    $proffer_header_design_actual  = cs_get_option( 'select_header_design' );
  } else {
    $proffer_header_design_actual = ( $proffer_header_design ) ? $proffer_header_design : cs_get_option('select_header_design');
  }
  $proffer_header_design_actual = $proffer_header_design_actual ? $proffer_header_design_actual : 'style_two';

  if ( $proffer_meta && $proffer_header_design !== 'default') {
   $proffer_search = isset( $proffer_meta['proffer_search'] ) ? $proffer_meta['proffer_search'] : '';
  } else {
    $proffer_search  = cs_get_option( 'proffer_search' );
  }

  if ( $proffer_header_design_actual == 'style_three' ) { 
    $menu_container = 'container';
  } else {
    $menu_container = 'container-fluid';
  }

  if ( $proffer_cart_widget ) {
    $cart_class = 'has-cart ';
  } else {
    $cart_class = 'not-has-cart ';
  }
  if ( $proffer_search ) {
   $search_class = 'not-has-search ';
  } else {
    $search_class = 'has-search ';
  }
  if ( has_nav_menu( 'primary' ) ) {
     $menu_padding = ' has-menu ';
  } else {
     $menu_padding = ' dont-has-menu ';
  }
  if ($proffer_meta) {
    $proffer_choose_menu = $proffer_meta['choose_menu'];
  } else { $proffer_choose_menu = ''; }
  $proffer_choose_menu = $proffer_choose_menu ? $proffer_choose_menu : '';

?>
<!-- Navigation & Search -->
 <div class="<?php echo esc_attr( $menu_container ); ?>">
    <div class="navbar-header">
        <button type="button" class="open-btn">
            <span class="sr-only"><?php echo esc_html__( 'Toggle navigation','proffer' ) ?></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <?php get_template_part( 'theme-layouts/header/logo' ); ?>
    </div>
    <div id="navbar" class="navbar-collapse collapse navigation-holder navbar-left <?php echo esc_attr( $menu_padding.$cart_class.$search_class ); ?>">
     <button class="close-navbar"><i class="ti-close"></i></button>
       <?php
          wp_nav_menu(
            array(
              'menu'              => 'primary',
              'theme_location'    => 'primary',
              'container'         => '',
              'container_class'   => '',
              'container_id'      => '',
              'menu'              => $proffer_choose_menu,
              'menu_class'        => 'nav navbar-nav menu nav-menu',
              'fallback_cb'       => '__return_false',
            )
          );
        ?>
      </div><!-- end of nav-collapse -->
      <?php get_template_part( 'theme-layouts/header/search','bar' ); ?>
  </div><!-- end of container -->


