<?php
	// Metabox
	$proffer_id    = ( isset( $post ) ) ? $post->ID : 0;
	$proffer_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $proffer_id;
	$proffer_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $proffer_id;
	$proffer_meta  = get_post_meta( $proffer_id, 'page_type_metabox', true );
	if ($proffer_meta && is_page()) {
		$proffer_title_bar_padding = $proffer_meta['title_area_spacings'];
	} else { $proffer_title_bar_padding = ''; }
	// Padding - Theme Options
	if ($proffer_title_bar_padding && $proffer_title_bar_padding !== 'padding-default') {
		$proffer_title_top_spacings = $proffer_meta['title_top_spacings'];
		$proffer_title_bottom_spacings = $proffer_meta['title_bottom_spacings'];
		if ($proffer_title_bar_padding === 'padding-custom') {
			$proffer_title_top_spacings = $proffer_title_top_spacings ? 'padding-top:'. proffer_check_px($proffer_title_top_spacings) .';' : '';
			$proffer_title_bottom_spacings = $proffer_title_bottom_spacings ? 'padding-bottom:'. proffer_check_px($proffer_title_bottom_spacings) .';' : '';
			$proffer_custom_padding = $proffer_title_top_spacings . $proffer_title_bottom_spacings;
		} else {
			$proffer_custom_padding = '';
		}
	} else {
		$proffer_title_bar_padding = cs_get_option('title_bar_padding');
		$proffer_titlebar_top_padding = cs_get_option('titlebar_top_padding');
		$proffer_titlebar_bottom_padding = cs_get_option('titlebar_bottom_padding');
		if ($proffer_title_bar_padding === 'padding-custom') {
			$proffer_titlebar_top_padding = $proffer_titlebar_top_padding ? 'padding-top:'. proffer_check_px($proffer_titlebar_top_padding) .';' : '';
			$proffer_titlebar_bottom_padding = $proffer_titlebar_bottom_padding ? 'padding-bottom:'. proffer_check_px($proffer_titlebar_bottom_padding) .';' : '';
			$proffer_custom_padding = $proffer_titlebar_top_padding . $proffer_titlebar_bottom_padding;
		} else {
			$proffer_custom_padding = '';
		}
	}
	// Banner Type - Meta Box
	if ($proffer_meta && is_page()) {
		$proffer_banner_type = $proffer_meta['banner_type'];
	} else { $proffer_banner_type = ''; }
	// Header Style
	if ($proffer_meta) {
	  $proffer_header_design  = $proffer_meta['select_header_design'];
	  $proffer_hide_breadcrumbs  = $proffer_meta['hide_breadcrumbs'];
	} else {
	  $proffer_header_design  = cs_get_option('select_header_design');
	  $proffer_hide_breadcrumbs = cs_get_option('need_breadcrumbs');
	}
	if ( $proffer_header_design === 'default') {
	  $proffer_header_design_actual  = cs_get_option('select_header_design');
	} else {
	  $proffer_header_design_actual = ( $proffer_header_design ) ? $proffer_header_design : cs_get_option('select_header_design');
	}
	if ( $proffer_header_design_actual == 'style_three') {
		$overly_class = ' overly';
	} else {
		$overly_class = ' ';
	}
	// Overlay Color - Theme Options
		if ($proffer_meta && is_page()) {
			$proffer_bg_overlay_color = $proffer_meta['titlebar_bg_overlay_color'];
			$title_color = isset($proffer_meta['title_color']) ? $proffer_meta['title_color'] : '';
		} else { $proffer_bg_overlay_color = ''; }
		if (!empty($proffer_bg_overlay_color)) {
			$proffer_bg_overlay_color = $proffer_bg_overlay_color;
			$title_color = $title_color;
		} else {
			$proffer_bg_overlay_color = cs_get_option('titlebar_bg_overlay_color');
			$title_color = cs_get_option('title_color');
		}
		$e_uniqid        = uniqid();
		$inline_style  = '';
		if ( $proffer_bg_overlay_color ) {
		 $inline_style .= '.page-title-'.$e_uniqid .'.page-title {';
		 $inline_style .= ( $proffer_bg_overlay_color ) ? 'background-color:'. $proffer_bg_overlay_color.';' : '';
		 $inline_style .= '}';
		}
		if ( $title_color ) {
		 $inline_style .= '.page-title-'.$e_uniqid .'.page-title h2, .page-title-'.$e_uniqid .'.page-title .breadcrumb li, .page-title-'.$e_uniqid .'.page-title .breadcrumbs ul li a {';
		 $inline_style .= ( $title_color ) ? 'color:'. $title_color.';' : '';
		 $inline_style .= '}';
		}
		// add inline style
		add_inline_style( $inline_style );
		$styled_class  = ' page-title-'.$e_uniqid;
	// Background - Type
	if( $proffer_meta ) {
		$title_bar_bg = $proffer_meta['title_area_bg'];
	} else {
		$title_bar_bg = '';
	}
	$proffer_custom_header = get_custom_header();
	$header_text_color = get_theme_mod( 'header_textcolor' );
	$background_color = get_theme_mod( 'background_color' );
	if( isset( $title_bar_bg['image'] ) && ( $title_bar_bg['image'] ||  $title_bar_bg['color'] ) ) {
	  extract( $title_bar_bg );
	  $proffer_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . esc_url($image) . ');' : '';
	  $proffer_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . esc_attr( $repeat) . ';' : '';
	  $proffer_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . esc_attr($position) . ';' : '';
	  $proffer_background_size    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . esc_attr($size) . ';' : '';
	  $proffer_background_attachment    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . esc_attr( $attachment ) . ';' : '';
	  $proffer_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . esc_attr( $color ) . ';' : '';
	  $proffer_background_style       = ( ! empty( $image ) ) ? $proffer_background_image . $proffer_background_repeat . $proffer_background_position . $proffer_background_size . $proffer_background_attachment : '';
	  $proffer_title_bg = ( ! empty( $proffer_background_style ) || ! empty( $proffer_background_color ) ) ? $proffer_background_style . $proffer_background_color : '';
	} elseif( $proffer_custom_header->url ) {
		$proffer_title_bg = 'background-image:  url('. esc_url( $proffer_custom_header->url ) .');';
	} else {
		$proffer_title_bg = '';
	}
	if($proffer_banner_type === 'hide-title-area') { // Hide Title Area
	} elseif($proffer_meta && $proffer_banner_type === 'revolution-slider') { // Hide Title Area
		echo do_shortcode($proffer_meta['page_revslider']);
	} else {
	?>
 <!-- start page-title -->
  <section class="page-title <?php echo esc_attr( $overly_class.$styled_class.' '.$proffer_banner_type ); ?>" style="<?php echo esc_attr( $proffer_title_bg ); ?>">
  	<div class="page-title-container">
      <div class="page-title-wrapper">
	  		<div class="container">
	      	<div class="row">
	          <div class="col col-xs-12" style="<?php echo esc_attr( $proffer_custom_padding ); ?>" >
	              <div class="title">
	                <h2><?php echo proffer_title_area(); ?></h2>
	            	</div>
	            	<?php if ( !$proffer_hide_breadcrumbs && function_exists( 'breadcrumb_trail' )) { breadcrumb_trail();  } ?>
	           </div>
	      	</div> <!-- end row -->
	  		</div> <!-- end container -->
  		</div>
  	</div>
  </section>
  <!-- end page-title -->
<?php } ?>