<?php
/**
 * Single Team.
 */
$team_options = get_post_meta( get_the_ID(), 'team_options', true );
$team_infos = isset($team_options['team_infos']) ? $team_options['team_infos'] : '';
$team_socials = isset($team_options['team_socials']) ? $team_options['team_socials'] : '';

$team_title = isset( $team_options['team_title']) ? $team_options['team_title'] : '';
$team_subtitle = isset( $team_options['team_subtitle']) ? $team_options['team_subtitle'] : '';
// Team Page Options
global $post;
$image_url = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ), 'large' );
$image_alt = get_post_meta( get_post_thumbnail_id( $post->ID ) , '_wp_attachment_image_alt', true);

?>        
<div class="attorney-single-content">
    <div class="attorney">
        <div class="img-holder">
          <?php if ( isset( $image_url ) ): ?>
            <img src="<?php echo esc_url( $image_url ); ?>" alt="<?php echo esc_attr( $image_alt ); ?>">
          <?php endif ?>
        </div>
        <div class="attorney-single-info">
            <div class="info">
              <?php 
                if( $team_title ) { echo '<h3>'.esc_html( $team_title ).'</h3>'; }
                if( $team_subtitle ) { echo '<span>'.esc_html( $team_subtitle ).'</span>'; }
              ?>
                <ul>
                  <?php if ( $team_infos ) {
                    foreach ( $team_infos  as $key => $team_info ) :
                    if( $team_info ) { echo ' <li><i class="'.esc_attr( $team_info['info_icon'] ).'"></i><span>'.esc_html( $team_info['info_title'] ).'</span>'.esc_html( $team_info['info_desc'] ).'</li>'; } 

                    endforeach;
                  } ?>
                </ul>
            </div>
            <div class="social">
                <ul>
                    <?php if ( $team_socials ) {
                      foreach ( $team_socials  as $key => $team_social ) : ?>
                    <li><a href="<?php echo esc_url( $team_social['team_social_link'] ); ?>">
                      <i class="<?php echo esc_attr( $team_social['team_social_icon'] ); ?>"></i></a>
                    </li>
                  <?php endforeach;  } ?>
                </ul>
            </div>
        </div>
    </div>
    <div class="attorney-details">
      <?php echo the_content(); ?>
    </div>
</div>